library ieee;
use ieee.std_logic_1164.all;
entity test_tb is
end;
architecture x of test_tb is
	component test_detector port( clk: in std_logic;
				rst: in std_logic;
				count: in integer range 0 to 7;
		    z: out integer range 0 to 7;
				we: out std_logic );
	end component;		 			 
	component test_write port( a: in integer range 0 to 7;	 
				count: in integer range 0 to 7;
				oe: in std_logic;
				clk: in std_logic;
				z: out integer range 0 to 7);	  
	end component;
	
	signal clk: std_logic := '0';	  -- clock
	signal r: std_logic := '1';	  -- reset
	signal count: integer range 0 to 7 := 2;	
	signal z, num: integer range 0 to 7;	
	signal we: std_logic;
begin
	u2: test_detector port map( clk, r, count, z, we );	 
	u3: test_write port map( z, count, we, clk, num );
	process( clk )	
	begin
		clk <= not clk after 2 ns;
	end process;		
	process
	begin
		r <= '0';
		wait for 4 ns;
		count <= 1;		
		wait for 4 ns;
	end process;
end;